Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6835 - Exception occurs when scanning packages on install
Summary: Exception occurs when scanning packages on install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-08 22:11 UTC by jgramlich
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-09 15:24:12 UTC


Attachments (Terms of Use)

Description jgramlich 1999-11-08 22:11:11 UTC
When installing RH6.1 on a Dell Latitude CpiA 366 I receive
the following error when the install program scans packages:

File "/usr/bin/anaconda.real", line 225 in ?
    intf.run(todo, test = test)
File "/tmp/lib/python1.5/site-packages/text.py",
    line 1000, in run rc = apply(step[1](), step[2])
File "/tmp/lib/phthon1.5/site-packages/text.py", line 468
    __call__ todo.getCompsList()
File "/tmp/lib/python1.5/site-packages/todo.py", line 930
    in getHeaderList self.dList = self.method.readHeaders()
File "/tmp/lib/python1.5/site-packages/harddrive.py"
    line 46 in readHeaders return HeaderList(hl)
File "/tmp/lib/python1.5/site-packages/comps.py", line 50
    in __init__ name = h[rpm.RPMTAG_NAME]
TypeError: unsubscriptable object




Redhat6.0 worked beautifully on this laptop before.  Help!

jgramlich@hotmail.com

Comment 1 Jay Turner 1999-11-09 15:24:59 UTC
My guess would be that you have a file in the RedHat/RPMS directory
which is not actually an RPM file.  Check in that directory on the
installation source and see if there is a TRANS.TBL file or if you see
some form of download log (wsftp tends to leave a log file containing
the transactions which it processed)

If you find one of these files, then just remove it and try the
installation again.  Reopen this bug if you are still having problems.


Note You need to log in before you can comment on or make changes to this bug.